# Class Container.AccessibleAWTContainer.AccessibleContainerHandler

java.lang.Object
java.awt.Container.AccessibleAWTContainer.AccessibleContainerHandler

All Implemented Interfaces:
  `ContainerListener, Serializable, EventListener`

Enclosing class:
  `Container.AccessibleAWTContainer`

protected class Container.AccessibleAWTContainer.AccessibleContainerHandler extends Object implements ContainerListener, Serializable
Fire `PropertyChange` listener, if one is registered, when children are added or removed.

Since:
  1.3
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AccessibleContainerHandler()`
  Constructs an `AccessibleContainerHandler`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `componentAdded(ContainerEvent e)`
  Invoked when a component has been added to the container.
  `void`
  `componentRemoved(ContainerEvent e)`
  Invoked when a component has been removed from the container.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AccessibleContainerHandler

    protected AccessibleContainerHandler()
    Constructs an `AccessibleContainerHandler`.

- ## Method Details

  - ### componentAdded

    public void componentAdded(ContainerEvent e)
    Description copied from interface: `ContainerListener`
    Invoked when a component has been added to the container.
    Specified by:
      `componentAdded` in interface `ContainerListener`
    Parameters:
      `e` - the event to be processed

  - ### componentRemoved

    public void componentRemoved(ContainerEvent e)
    Description copied from interface: `ContainerListener`
    Invoked when a component has been removed from the container.
    Specified by:
      `componentRemoved` in interface `ContainerListener`
    Parameters:
      `e` - the event to be processed